package main

import (
	"testing"
)

func TestChessMatchFunc(t *testing.T) {

	m := &ChessMatchPool{IdItem: make(map[int32]*ChessMatchItem)}

	for i := 0; i < 200; i++ {
		m.Add(int32(i), int64(i), i)
	}

	ChessMatchFuncTest(m, 50)
}
